# $Revision: 1.74.2.1 $, $Date: 2006/04/15 21:41:41 $
#
# Conditional build:
%bcond_without	gtk		# without gtk-loader package (which requires gtk+2-devel)
%bcond_without	static_libs	# don't build static version of library
#
Summary:	libwmf - library to convert wmf files
Summary(pl):	libwmf - biblioteka z funkcjami do konwersji plikw wmf
Name:		libwmf
Version:	0.2.8.4
Release:	3
Epoch:		2
License:	GPL
Group:		Applications/Text
Source0:	http://dl.sourceforge.net/wvware/%{name}-%{version}.tar.gz
# Source0-md5:	d1177739bf1ceb07f57421f0cee191e0
Patch0:		%{name}-fontmap-pld.patch
Patch1:		%{name}-includes.patch
Patch2:		%{name}-segv.patch
URL:		http://wvware.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	freetype-devel >= 2.0
%{?with_gtk:BuildRequires:	gtk+2-devel >= 1:2.1.2}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool >= 1:1.4.2-9
PreReq:		ghostscript-fonts-std
Requires(post):	/sbin/ldconfig
Requires(post):	sed
Requires:	sed
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	-fomit-frame-pointer

%description
libwmf is a library for unix like machines that can convert wmf files
into other formats, currently it supports fig, eps, a gd binding to
convert to png, and an X one to draw direct to an X window or pixmap.

%description -l pl
libwmf jest bibliotek dla systemw uniksowych, ktra konwertuje pliki
wmf na inne formaty. Aktualnie obsuguje formaty fig i eps, format png
poprzez bibliotek gd oraz - poprzez biblioteki X Window - rysowanie w
okienku oraz format xpm.

%package libs
Summary:	libwmf - libraries
Summary(pl):	libwmf - biblioteki
Conflicts:	%{name} < 2:0.2.8.4
Group:		Libraries

%description libs
This package contains libwmf libraries.

%description libs -l pl
Ten pakiet zawiera biblioteki libwmf.

%package devel
Summary:	libwmf - header files
Summary(pl):	libwmf - pliki nagwkowe
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
# libwmflite(.la) has no additional deps
# libwmf(.la) needs freetype-devel, XFree86-devel, expat-devel, libjpeg-devel, libpng-devel

%description devel
This package contains libwmf header files.

%description devel -l pl
Pakiet zawiera pliki nagwkowe do biblioteki libwmf.

%package static
Summary:	libwmf - static libraries
Summary(pl):	libwmf - biblioteki statyczne
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
This package contains libwmf static libraries.

%description static -l pl
Pakiet zawiera statyczn wersj biblioteki libwmf.

%package gtk-loader
Summary:	WMF loader for gdk_pixbuf 2.x library
Summary(pl):	Modu wczytujcy WMF dla biblioteki gdk_pixbuf 2.x
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description gtk-loader
WMF loader for gdk_pixbuf 2.x library.

%description gtk-loader -l pl
Modu wczytujcy WMF dla biblioteki gdk_pixbuf 2.x

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	--with-sysfontmap=%{_fontsdir}/ghostscript-fonts-std.font \
	--with-gsfontmap=%{_fontsdir}/Type1/Fontmap \
	--with-gsfontdir=%{_fontsdir}/Type1

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf html-doc
mv -f $RPM_BUILD_ROOT%{_datadir}/doc ./html-doc

# no static modules and *.la for GTK+ loaders - shut up check-files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2*/*/loaders/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/libwmf-fontmap > /dev/null

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CREDITS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/libwmf-fontmap
%attr(755,root,root) %{_bindir}/wmf2eps
%attr(755,root,root) %{_bindir}/wmf2fig
%attr(755,root,root) %{_bindir}/wmf2gd
%attr(755,root,root) %{_bindir}/wmf2svg
%attr(755,root,root) %{_bindir}/wmf2x
%dir %{_datadir}/libwmf
%dir %{_datadir}/libwmf/fonts
%ghost %{_datadir}/libwmf/fonts/fontmap

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc html-doc examples
%attr(755,root,root) %{_bindir}/libwmf-config
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/*.a
%endif

%if %{with gtk}
%files gtk-loader
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk-2*/*/loaders/*.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libwmf.spec,v $
Revision 1.74.2.1  2006/04/15 21:41:41  ankry
- C: in -libs for version before split to allow clean upgrade; rel. 3; STBR

Revision 1.74  2005/11/01 23:28:19  glen
- rel 2

Revision 1.73  2005/11/01 23:26:13  qboosh
- unified: -libs just before -devel

Revision 1.72  2005/11/01 23:21:43  qboosh
- pl for -libs

Revision 1.71  2005/11/01 21:40:12  glen
- fix internal deps
- fix re-entrant install

Revision 1.70  2005/11/01 21:34:56  glen
- -libs split

Revision 1.69  2005/08/06 10:31:31  qboosh
- updated to 0.2.8.4

Revision 1.68  2005/07/21 19:54:50  darekr
- R: sed is back

Revision 1.67  2005/07/21 18:03:46  darekr
- killed needless R: sed

Revision 1.66  2005/05/04 10:26:38  pluto
- release 2 for Th.

Revision 1.65  2004/11/27 18:52:08  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.64  2004/10/25 08:49:33  paladine
- [Gg]tk+ -> GTK+

Revision 1.63  2004/07/19 09:57:12  qboosh
- added note about libwmf devel deps (maybe separate libwmflite?)

Revision 1.62  2004/05/18 12:22:48  grzegol
- updated to 0.2.8.3

Revision 1.61  2004/03/17 01:56:15  grzegol
- rel. 3 to rebuild with gtk+2-2.4.0

Revision 1.60  2004/03/01 13:33:50  pluto
- strict deps.

Revision 1.59  2004/02/06 09:39:35  gotar
- sysfontmap changed to %{_fontsdir}/ghostscript-fonts-std.font
  (we don't have %{_fontsdir}/fontmap at all),
- gsfontmap changed to autoregenerated %{_fontsdir}/Type1/Fontmap,
  (%{_datadir}/ghostscript/ver/lib/Fontmap.GS is outdated),
- release 2.

Revision 1.58  2003/11/28 20:53:54  qboosh
- restored useless files removal

Revision 1.57  2003/11/28 18:43:30  adgor
- New style bconds
- Changed without static to without static_libs
- Do not build static libs if "without static" (passing "--disable-static"
  option to configure)

Revision 1.56  2003/11/27 09:56:08  trojan
- updated to 0.2.8.1

Revision 1.55  2003/11/26 13:25:22  trojan
- updated to 0.2.8.1

Revision 1.54  2003/10/24 09:43:53  gotar
- -fomit-frame-pointer on ia32

Revision 1.53  2003/09/23 11:30:18  gotar
- added _without_static bcond

Revision 1.52  2003/09/20 11:22:32  gotar
- release 2 for proper gsfontdir, STBR

Revision 1.51  2003/06/27 13:10:47  mmazur
- mass commit; now req: name = epoch:version

Revision 1.50  2003/06/09 23:31:02  adgor
- Use proper gsfontdir

Revision 1.49  2003/06/06 13:40:03  qboosh
- no static versions and *.la for gtk+ loaders

Revision 1.48  2003/05/28 12:59:33  malekith
- massive attack: source-md5

Revision 1.47  2003/05/25 05:50:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/03/01 23:31:07  radek
- updated Source0 URL

Revision 1.45  2003/02/13 19:37:37  gotar
- cut off Vendor (we are package vendors and developers, program
  author, maintainter or developer info is in it's documentation),
- cosmetics.

Revision 1.44  2003/01/05 21:11:11  qboosh
- 0.2.8, added subpackage with gdk_pixbuf 2.x loader plugin

Revision 1.43  2002/11/25 14:17:08  ankry
- massive attack: no need for 755 for *.la

Revision 1.42  2002/11/04 13:49:48  qboosh
- merge from DEVEL (0.2.6 - not for Ra)

Revision 1.41  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.40.2.1  2002/07/07 18:41:44  qboosh
- updated to 0.2.6
  (DEVEL - soname has changed, plot and magick targets disappeared)
- updated segv patch

Revision 1.40  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.39  2002/05/21 23:14:02  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
  	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.38  2002/04/28 13:31:29  qboosh
- libpng 1.2.2 support

Revision 1.37  2002/03/24 23:28:21  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.36  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/02/21 19:58:12  qboosh
- updated to 0.2.2, removed obsolete gd patch
  (SONAME has changed, ImageMagick must be rebuild too)
- added segv patch with some ugly SEGV workarounds

Revision 1.34  2002/01/18 02:13:43  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2001/11/16 19:09:29  filon
- BuildRequires: plotutils

Revision 1.32  2001/10/27 21:45:13  kloczek
- release 2.

Revision 1.31  2001/09/26 12:20:28  qboosh
- adapterized, readded BuildRequires: libtool

Revision 1.30  2001/09/01 13:07:01  qboosh
- 0.2.1, updated fontmap-pld patch, added gd and include patches
  NOTE: version 0.1.21 is still required for ImageMagick

Revision 1.29  2001/06/11 20:36:29  qboosh
- updated to 0.2.0, removed obsolete DESTDIR and shared patches
- fontmap-pld patch - fonts in /usr/share/fonts, .afm files in subdirectory;
  strip CRs - found in some AFMs
- don't include fonts - require ghostscript-fonts-std instead
- freetype2 now; new BuildRequires: expat-devel, libplot-devel, libjpeg-devel
  still uses own, modified version of libgd (2.0.1 now)
  WARNING: libwmf 0.2.x is incompatible with 0.1.x - don't remove old ver. yet
  (ImageMagick must be patched or updated)

Revision 1.28  2001/06/04 14:45:55  baggins
- don't relink in %install
- updated shared patch (latest libtool _really_ sucks)

Revision 1.27  2001/03/21 00:55:53  kloczek
- release 5: rebuild against freetype1.

Revision 1.26  2001/03/15 05:03:57  kloczek
- release 4.

Revision 1.25  2001/03/14 17:42:46  qboosh
- awk doesn't understand \s (formalism only, doesn't change anything here)

Revision 1.24  2001/02/16 17:18:02  qboosh
- fixed linking of shared libraries
- moved most documentation to devel subpackage
- release 3

Revision 1.23  2001/02/10 05:21:58  kloczek
- release 2.

Revision 1.22  2001/02/08 17:39:25  qboosh
- duplicated Summary -> Summary(pl)
- Polish descriptions
  (BTW: it seems that 0.1.21b is exactly the same as 0.1.21...)

Revision 1.21  2001/02/06 04:17:08  kloczek
- updated to 0.1.21b,
- chamnged Source url to ftp,
- seems now passing in CFLAGS path to freetype header files isn't neccessary,
- removed zlib-devel from BuildRequires (libpng-devel now depend on
  zlib-devel).

Revision 1.20  2001/01/25 22:38:03  qboosh
- shared.patch: fixed libtool scripts (and missing .so links)
- release 2

Revision 1.19  2001/01/25 20:03:24  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.18  2001/01/19 09:54:29  tiwek
- wmftoeps added to %files

Revision 1.17  2001/01/18 17:59:37  misiek
- updated to 0.1.21 by TiweK

Revision 1.16  2000/12/29 13:40:40  kloczek
- release 3.

Revision 1.15  2000/12/29 00:55:47  qboosh
- make both shared and static libraries
- BuildRequires: libtool, zlib-devel
- xgd (which is modified gd) includes go to %{_includedir}/xgd to avoid
  conflict with gd-devel

Revision 1.14  2000/12/28 11:58:12  kloczek
- spec adapterized,
- fixed building with freetype (missing pathc to freetype header files),
- added BuildRequires rules.

Revision 1.13  2000/12/28 09:39:22  pascalek
- Release 2
- libwmf-DESTDIR.patch rewriten
- libwmf is now compiling

Revision 1.12  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.11  2000/06/09 07:54:44  kloczek
- more %{__make} macros.

Revision 1.10  2000/06/09 07:23:24  kloczek
- added using %{__make} macro.

Revision 1.9  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.8  2000/05/02 21:22:54  baggins
- fixed version, minor cleanup

Revision 1.7  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.5  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.4  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 24 1999 Ryan Weaver <ryanw@infohwy.com>
  [libwmf-0.1.10-1]
- removed c++ comment
- stripped ^M's out
- cast a few things to void pointers before assigning
  them to userdata.

* Wed May 19 1999 Ryan Weaver <ryanw@infohwy.com>
  [libwmf-0.1.9-2]
- New source tgz, same version, recompiling.
- Some changes to configure script and other files.

* Wed Apr 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [libwmf-0.1.9-1]
- v 0.1.9
- added more bullet proofing against the sort of nightmare wmf's
  that come out of mswordview.
- some better error checking for missing fonts, (doh !)
- broke tt, fixed tt
- removd debugging messages.

* Fri Apr 23 1999 Ryan Weaver <ryanw@infohwy.com>
  [libwmf-0.1.8-1]
- v 0.1.8
- trivial change to wmfapi.h to make life easier with blip
  handling in mswordview
- made configure script get heroic when searching for components,
  checks for for includes and libs both below a --with-stuff dir, and
  also inside it as well.

* Tue Apr 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [libwmf-0.1.7-1]
- Initial RPM Build
- 0.1.7
- added ability to gd to read xbm's from data, rather than file,
  changed source accordingly, dont need to carry xbm's around
  anymore.
- changed configure script to agressively find the xpm header file,
- tested to work under aix (of all things :-))
- tested to work under solaris.
- checked that it reports lack of xpm lib, and fails to go any
  further.
- fiddled a bit more, and libwmf now works cleanly with mswordview,
  all cheer.
